Subject: Transmission of IPv6 Packets over Aeronautical ("aero") Interfaces

From: "Templin (US), Fred L" <[email-masked]>
Date: Tue, 10 Dec 2019 17:30:50 +0000

The International Civil Aviation Organization (ICAO) is building an Aeronautical Telecommunications
Network with Internet Protocol Services (ATN/IPS). ICAO sees a use case for an IPv6 Air/Ground
(A/G) interface to support aircraft communications with ATN/IPS ground domain correspondents.
This document presents a candidate (A/G) interface solution. Please post any solution-oriented
comments for this document on [email-masked].

-----Original Message-----
From: I-D-Announce [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, December 10, 2019 9:12 AM
To: [email-masked]
Subject: I-D Action: draft-templin-atn-aero-interface-08.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Transmission of IPv6 Packets over Aeronautical ("aero") Interfaces
        Authors         : Fred L. Templin
                          Tony Whyman
	Filename        : draft-templin-atn-aero-interface-08.txt
	Pages           : 25
	Date            : 2019-12-10

Abstract:
   Aeronautical mobile nodes (e.g., aircraft of various configurations)
   communicate with networked correspondents over multiple access
   network data links and configure mobile routers to connect their on-
   board networks.  An Air-to-Ground (A/G) interface specification is
   therefore needed for coordination with the ground domain network.
   This document specifies the transmission of IPv6 packets over
   aeronautical ("aero") interfaces.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-templin-atn-aero-interface/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-templin-atn-aero-interface-08
https://datatracker.ietf.org/doc/html/draft-templin-atn-aero-interface-08

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-templin-atn-aero-interface-08

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 11 Dec 2019 09:26:54 +0100

> comments for this document on [email-masked].

I would like to ask whether ICAO AT/IPS effort considers that an
aircraft signals its presence by way of RA emitted by aero interface or
by a message generated by Transponder?

As for the text in the draft, I think there is an issue with the term
'ARO' Aero Registration Option which might be taken for the existing
'ARO' Address Registration Option.

Alex

> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Wed, 11 Dec 2019 14:55:44 +0000

Hi Alex,

> From: ipv6 [mailto:[email-masked]] On Behalf Of Alexandre Petrescu
> Sent: Wednesday, December 11, 2019 12:27 AM
> To: [email-masked]
> Subject: Re: Transmission of IPv6 Packets over Aeronautical ("aero") Interfaces
> 
> 
> 
> 

The purpose of the RS/RA messaging is to register each of the aircraft's individual IP data
links with the ground-domain mobility service. Any transponder messaging is orthogonal
to the data communications service offered by the ATN/IPS, i.e., they are complimentary
independent functions.

> 'ARO' Address Registration Option.

Thanks for pointing this out; we will come up with something different.

Fred
[email-masked]

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Wed, 11 Dec 2019 15:35:54 +0000

Alex,

> Thanks for pointing this out; we will come up with something different.

Here's a thought: why don't we just call it the "ICAO option"?

BTW, I am here in the 6man working group seeking document progression at the
request of ICAO Communications Panel Working Group I - they have asked me to
take this work forward to publication. I have also discussed possible approaches
with our IETF area director, and I am acting on the guidance received. So, this
work represents a coming-together of the two communities, where I would
hope there would be a spirit of mutual cooperation.

Thanks - Fred

> From: ipv6 [mailto:[email-masked]] On Behalf Of Templin (US), Fred L
> Sent: Wednesday, December 11, 2019 6:56 AM
> To: Alexandre Petrescu <[email-masked]>; [email-masked]
> Subject: RE: Transmission of IPv6 Packets over Aeronautical ("aero") Interfaces
> 
> Hi Alex,
>

---

From: Kerry Lynn <[email-masked]>
Date: Wed, 11 Dec 2019 10:44:00 -0500

On Wed, Dec 11, 2019 at 10:36 AM Templin (US), Fred L <
[email-masked]> wrote:

> How about the "AERO option"?

---

From: Bob Hinden <[email-masked]>
Date: Wed, 11 Dec 2019 08:13:40 -0800

Fred,

> On Dec 11, 2019, at 7:35 AM, Templin (US), Fred L <[email-masked]> wrote:
> 
> Alex,
> 

Good to hear.

Is there a liaison statement?  I don’t see anything at:

https://www.ietf.org/about/liaisons/

Thanks,
Bob

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 12 Dec 2019 09:01:29 +0100

> Here's a thought: why don't we just call it the "ICAO option"?

It is a good suggestion that I do not oppose.

But I would like to learn whether ICAO ATN/IPS considers also UAM 
vehicles like VTOL air taxi flying cars (VoloCopter, Geely, Lilium, 
Kitty Hawk, Ehang, Link&Fly)?

It might be that these kinds of vehicles inherit more from the 
automotive industry, like for example carrying an IP-OBU, rather than a 
transponder, which is highly likely to use IPv6 Router Advertisements, 
or BSM messages.  Which brings 'SAE', 'IEEE' and probably new traffic 
management organisations in the picture, at a same level as ICAO.

At that point, it might be that 'ICAO' option in RA might be questionable.

Or maybe ICAO option would be only for aircraft above 200m (meters) 
above ground.

Alex

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Thu, 12 Dec 2019 14:31:20 +0000

> From: Alexandre Petrescu [mailto:[email-masked]]
> Sent: Thursday, December 12, 2019 12:01 AM
> To: Templin (US), Fred L <[email-masked]>; [email-masked]

Someone else suggested to call it the "AERO" option (Aeronautical Endpoint
Registration Option) - would that be better?

> Kitty Hawk, Ehang, Link&Fly)?

ICAO ATN/IPS concerns air traffic management services for civil aviation only.
That is for aircraft that take off from and land at airports, and that maintain an
ongoing dialogue with air traffic control en route. However, the proposed
option may have broader applicability to use cases such as the one you are
describing here.

Thanks - Fred

---

From: Simon Hobson <[email-masked]>
Date: Thu, 12 Dec 2019 19:31:38 +0000

Alexandre Petrescu <[email-masked]> wrote:

> by a message generated by Transponder?

In this application area, there is significant scope for confusion.

One specific example that comes to mind is between RA (Router Advertisement) in the networking arena, and RA (resolution Advisory) in the TCAS system. https://en.wikipedia.org/wiki/Traffic_collision_avoidance_system

Just something to keep in mind - that the use of "common" acronyms across different fields has the scope for more confusion than normal.

Simon

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Thu, 12 Dec 2019 22:06:34 +0000

Simon, interesting point but TCAS is a non-IP data link whereas this spec considers
only IP links. We could probably make more clear in the spec that only IP data links
are in-scope, and not any of the aircraft's non-IP links (e.g., TCAS, ADS-B, etc.).

Thanks - Fred

> From: ipv6 [mailto:[email-masked]] On Behalf Of Simon Hobson
> Sent: Thursday, December 12, 2019 11:32 AM
> To: 6man WG <[email-masked]>
> One specific example that comes to mind is between RA (Router Advertisement) in the networking arena, and RA (resolution
> Advisory) in the TCAS system. https://en.wikipedia.org/wiki/Traffic_collision_avoidance_system
>

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 13 Dec 2019 12:50:25 +0100

Le 12/12/2019 à 15:31, Templin (US), Fred L a écrit :
> 
> 
>> -----Original Message----- From: Alexandre Petrescu 
>> [mailto:[email-masked]] Sent: Thursday, December 12, 
>> 2019 12:01 AM To: Templin (US), Fred L <[email-masked]>;
>> [email-masked] Subject: Re: Transmission of IPv6 Packets over
>> Aeronautical ("aero") Interfaces
>> 
>> 
>> 
>>>>> As for the text in the draft, I think there is an issue with 
>>>>> the term 'ARO' Aero Registration Option which might be taken 
>>>>> for the existing 'ARO' Address Registration Option.
>>>> 
> Someone else suggested to call it the "AERO" option (Aeronautical 
> Endpoint Registration Option) - would that be better?

AERO (Aeronautical Endpoint Registration Option) instead of ARO (Address
Reg'n Option) would indeed be better in several ways.

> ICAO ATN/IPS concerns air traffic management services for civil 
> aviation only. That is for aircraft that take off from and land at 
> airports, and that maintain an ongoing dialogue with air traffic 
> control en route.

If ICAO ATN/IPS is not concerned about UAM vehicles then I think the
reverse might be true.  It is because the Volocopter air taxi demo at
the Helsinki airport on August 30th, 2019.  Or maybe they did not use
anything at all to talk to ground, but they just shown it was possible
for air taxis to act in a civil aviation airport.

> However, the proposed option may have broader applicability to use 
> cases such as the one you are describing here.

I think I agree, but there might be contenders.

I guess a future IPv6-straight-over-ADS/B draft and implementation might
contend with ICAO ATN/IPS IPv6-over-aero-interface draft and implementation.

Also, I think at IETF most IPv6-over-foo documents are over actual link
layers, not over virtual interfaces.  An existing exception
(IPv6-over-virtual-interface existing draft, but which one?) would help
to compare with IPv6-over-aero.

Alex

>> automotive industry, like for example carrying an IP-OBU, rather 
>> than a transponder, which is highly likely to use IPv6 Router 
>> Advertisements, or BSM messages.  Which brings 'SAE', 'IEEE' and 
>> probably new traffic management organisations in the picture, at a 
>> same level as ICAO.
>> 
>>> BTW, I am here in the 6man working group seeking document 
>>> progression at the request of ICAO Communications Panel Working 
>>> Group I - they have asked me to take this work forward to 
>>> publication. I have also discussed possible approaches with our 
>>> IETF area director, and I am acting on the guidance received.
>>> So, this work represents a coming-together of the two
>>> communities, where I would hope there would be a spirit of
>>> mutual cooperation.
>>> 
>>> Thanks - Fred
>>> 
>>>> -----Original Message----- From: ipv6 
>>>> [mailto:[email-masked]] On Behalf Of Templin (US), Fred 
>>>> L Sent: Wednesday, December 11, 2019 6:56 AM To: Alexandre 
>>>> Petrescu <[email-masked]>; [email-masked]
>>>>> -----Original Message----- From: ipv6 
>>>>> [mailto:[email-masked]] On Behalf Of Alexandre 
>>>>> Petrescu Sent: Wednesday, December 11, 2019 12:27 AM To: 
>>>>> [email-masked] Subject: Re: Transmission of IPv6 Packets over 
>>>>> Aeronautical ("aero") Interfaces
>>>>> 
>>>>> 
>>>>> 
>>>>> 
>>>>>> The International Civil Aviation Organization (ICAO) is 
>>>>>> building an Aeronautical Telecommunications Network with 
>>>>>> Internet Protocol Services (ATN/IPS). ICAO sees a use case 
>>>>>> for an IPv6 Air/Ground (A/G) interface to support aircraft 
>>>>>> communications with ATN/IPS ground domain correspondents. 
>>>>>> This document presents a candidate (A/G) interface 
>>>>>> solution. Please post any solution-oriented comments for 
>>>>>> this document on [email-masked].
>>>>> 
>>>>> I would like to ask whether ICAO AT/IPS effort considers
>>>>> that an aircraft signals its presence by way of RA emitted by
>>>>> aero interface or by a message generated by Transponder?
>>>> 
>>>> The purpose of the RS/RA messaging is to register each of the 
>>>> aircraft's individual IP data links with the ground-domain 
>>>> mobility service. Any transponder messaging is orthogonal to 
>>>> the data communications service offered by the ATN/IPS, i.e., 
>>>> they are complimentary independent functions.
>>>> 
>>>>> As for the text in the draft, I think there is an issue with 
>>>>> the term 'ARO' Aero Registration Option which might be taken 
>>>>> for the existing 'ARO' Address Registration Option.
>>>> 
>>>> Fred [email-masked]
>>>> 
>>>>> Alex
>>>>> 
>>>>>> 
>>>>>> -----Original Message----- From: I-D-Announce 
>>>>>> [mailto:[email-masked]] On Behalf Of 
>>>>>> [email-masked] Sent: Tuesday, December 10, 2019 
>>>>>> 9:12 AM To: [email-masked] Subject: I-D Action: 
>>>>>> draft-templin-atn-aero-interface-08.txt
>>>>>> 
>>>>>> 
>>>>>> Title           : Transmission of IPv6 Packets over 
>>>>>> Aeronautical ("aero") Interfaces Authors         : Fred L. 
>>>>>> Templin Tony Whyman Filename        : 
>>>>>> draft-templin-atn-aero-interface-08.txt Pages           : 
>>>>>> 25 Date            : 2019-12-10
>>>>>> 
>>>>>> Abstract: Aeronautical mobile nodes (e.g., aircraft of 
>>>>>> various configurations) communicate with networked 
>>>>>> correspondents over multiple access network data links and 
>>>>>> configure mobile routers to connect their on- board 
>>>>>> networks.  An Air-to-Ground (A/G) interface specification 
>>>>>> is therefore needed for coordination with the ground
>>>>>> domain network. This document specifies the transmission of
>>>>>> IPv6 packets over aeronautical ("aero") interfaces.
>>>>>> 
>>>>>> 
>>>>>> I-D-Announce mailing list [email-masked] 
>>>>>> [email-masked] Administrative Requests: 
>>>>>> https://www.ietf.org/mailman/listinfo/ipv6 
>>>>> IETF IPv6 working group mailing list [email-masked] 
>>>>> Administrative Requests: 
>>>>> https://www.ietf.org/mailman/listinfo/ipv6 
>>>> IETF IPv6 working group mailing list [email-masked] 
>>>> Administrative Requests: 
>>>> https://www.ietf.org/mailman/listinfo/ipv6

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 13 Dec 2019 12:55:14 +0000

> Reg'n Option) would indeed be better in several ways.

The ARO is now extended as EARO (RCF 8505).  Which makes AERO still really similar.

Cheers;

Pascal

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 13 Dec 2019 15:35:47 +0100

I think non-IP data links are so until one writes an IP-over-data-link 
document and implementation.

I think TCAS can carry IP packets, like serial links do.

Alex

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Fri, 13 Dec 2019 15:34:47 +0000

Hi Alex,

> Sent: Friday, December 13, 2019 3:50 AM
> To: Templin (US), Fred L <[email-masked]>
> Cc: [email-masked]

OK.

> for air taxis to act in a civil aviation airport.

ICAO uses the term RPAS (Remotely-Piloted Aircraft Systems) to refer to
future use cases in civil aviation when the "pilot" is on the ground and not
on-board the aircraft. ICAO will want this interface specification to apply
also for RPAS. I do not know if ICAO has extended to consider UAM, but I
do not think they would oppose application to other domains such as that.

> I think I agree, but there might be contenders.

Please be sure to check all aspects of the proposal, including lightweight
prefix registration, multilink, mobility, link quality, etc.

> contend with ICAO ATN/IPS IPv6-over-aero-interface draft and implementation.

Civil aviation at this time does not view ADS/B as a medium for two-way
communications such as "traditional" IP links would support - it is a one-
way broadcast service only. Plus, ADS/B is the layer-2 messaging service;
the actual data links that carry ADS/B are known as 1090ES for civil aviation
and UAT for general aviation. 1090ES is thought to be already near or at
saturation level and not able to carry additional communications beyond
ADS-B. 

> to compare with IPv6-over-aero.

See RFC2491.

Thanks - Fred

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Fri, 13 Dec 2019 15:37:48 +0000

Hi Pascal,

> From: Pascal Thubert (pthubert) [mailto:[email-masked]]
> Sent: Friday, December 13, 2019 4:55 AM
> To: Alexandre Petrescu <[email-masked]>; Templin (US), Fred L <[email-masked]>
> Cc: [email-masked]

AERO has been in the acronym mix since RFC6706. I think we would have to keep
ourselves up very late at night to try to come up with "original" acronyms that
have no possibility for confusion with others.

Thanks - Fred

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Fri, 13 Dec 2019 15:45:08 +0000

Alex, we have indeed seen the RFC1149 example showing IP over even very low-end
transmission media. Anything that can transit an IP packet is an (IP) "link", so you are
of course correct. But, speaking for practical purposes, ICAO does have a notion of
"IP links" and "non-IP links".

Fred

> Sent: Friday, December 13, 2019 6:36 AM
> To: [email-masked]

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 13 Dec 2019 15:59:53 +0000

Hello Fred

AERO as a protocol is no issue, I'm very well aware of it as you know. I'm concerned about a proposal to have AERO as an option in IPv6 ND when we already have an EARO. Even if the name is neat, the nearness of the two would create confusion. Using the same term for a protocol and an option used near that protocol would also create a confusion.

Finally I do not feel too good about the idea to use a particular use case to name an option that could actually be used elsewhere. 

Seems to me that a name that reflects what the option registers rather than the use case you have in mind could be an improvement. Maybe use words like Virtual link, overlay, aggregate, you name it?

Pascal

> From: Templin (US), Fred L <[email-masked]>
> Sent: vendredi 13 décembre 2019 16:38
> To: Pascal Thubert (pthubert) <[email-masked]>; Alexandre Petrescu
> <[email-masked]>
> Cc: [email-masked]
> > > AERO (Aeronautical Endpoint Registration Option) instead of ARO
> > > (Address Reg'n Option) would indeed be better in several ways.
> >
> AERO has been in the acronym mix since RFC6706. I think we would have to
> keep ourselves up very late at night to try to come up with "original" acronyms
> that have no possibility for confusion with others.
> 
> Thanks - Fred
> 
> > Cheers;
> >
> > Pascal

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Fri, 13 Dec 2019 16:05:33 +0000

Sorry you feel that way, Pascal, but I do not see a problem.

Thanks - Fred

> Sent: Friday, December 13, 2019 8:00 AM
> To: Templin (US), Fred L <[email-masked]>; Alexandre Petrescu <[email-masked]>
> Cc: [email-masked]
> AERO as a protocol is no issue, I'm very well aware of it as you know. I'm concerned about a proposal to have AERO as an option in IPv6
> ND when we already have an EARO. Even if the name is neat, the nearness of the two would create confusion. Using the same term
> for a protocol and an option used near that protocol would also create a confusion.
> 
> Seems to me that a name that reflects what the option registers rather than the use case you have in mind could be an improvement.
> Maybe use words like Virtual link, overlay, aggregate, you name it?
> 
> Pascal
>

---

From: Simon Hobson <[email-masked]>
Date: Sat, 14 Dec 2019 19:12:09 +0000

Fred L <[email-masked]> wrote:

> only IP links.

Not relevant. The whole point was simply that you need to be careful with use of terminology where people from the different application realms may read an acronym and think of different things. The fact that there are IP and non-IP links involved doesn't change that.
It doesn't really need any changes, just that people be aware of the acronyms already in use in the "other" application realm and be careful to make sure the meaning is clear.